Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.gwt
Class AsyncRemoteServiceServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              com.google.gwt.user.server.rpc.OpenRemoteServiceServlet
                  org.mortbay.gwt.AsyncRemoteServiceServlet

All Implemented Interfaces:
  Serializable, Servlet, ServletConfig

    public class AsyncRemoteServiceServlet

extends OpenRemoteServiceServlet

See Also:
  Serialized Form

Field Summary
`static String` | `PAYLOAD`

Constructor Summary
`AsyncRemoteServiceServlet()`

Method Summary
`protected void` | `handleException(String responsePayload, Throwable caught)`
`protected String` | `readPayloadAsUtf8(HttpServletRequest request)`
`protected void` | `respondWithFailure(HttpServletResponse response, Throwable caught)` Called when the machinery of this class itself has a problem, rather than the invoked third-party method.
`protected void` | `throwIfRetyRequest(Throwable caught)`

Methods inherited from class com.google.gwt.user.server.rpc.OpenRemoteServiceServlet
`doPost, getThreadLocalRequest, getThreadLocalResponse, onAfterResponseSerialized, onBeforeRequestDeserialized, processCall, shouldCompressResponse, writeResponse`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PAYLOAD

    public static final String PAYLOAD

See Also:
  Constant Field Values

Constructor Detail

### AsyncRemoteServiceServlet

    public AsyncRemoteServiceServlet()

Method Detail

### readPayloadAsUtf8

    protected String readPayloadAsUtf8(HttpServletRequest request)
                                throws IOException,
                                       ServletException

  Overrides:
    `readPayloadAsUtf8` in class `OpenRemoteServiceServlet`
  Throws:
    `IOException`
    `ServletException`

### respondWithFailure

    protected void respondWithFailure(HttpServletResponse response,
                                      Throwable caught)

  Description copied from class: `OpenRemoteServiceServlet`
  Called when the machinery of this class itself has a problem, rather than the invoked third-party method. It writes a simple 500 message back to the client.

  Overrides:
    `respondWithFailure` in class `OpenRemoteServiceServlet`

### handleException

    protected void handleException(String responsePayload,
                                   Throwable caught)

  Overrides:
    `handleException` in class `OpenRemoteServiceServlet`

### throwIfRetyRequest

    protected void throwIfRetyRequest(Throwable caught)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.